Poppy on Windows: all you need to do

guide
documentation
software
Tags: #<Tag:0x00007f5ce780a368> #<Tag:0x00007f5ce780a200> #<Tag:0x00007f5ce780a070>

#1

DISCLAIMER: This tutorial is only intended to show how we manage to make everything needed to control Poppy works on Windows 8. As we are not Windows developers there may be (hopefully) better way of doing so. Do not hesitate to comment and complete this doc (by clicking on the Wiki pen icon on the left of this Wiki post)!

EASY SOLUTION

  • install anaconda it will install python, numpy, scipy, matplotlib, pip, python, and PyQt4 for you :slight_smile:
  • for the other dependencies see the manual installation below

Manually Install Python

  • python 2.7: we recommend to use the 32bits version as it’s harder to find precompiled windows package for the 64 bits version. We only tried python 2.7 on windows, yet version 3 or later should also work. You may have to restart your computer for python to be in the path :scream:
  • numpy: we use the precompiled package
  • scipy :same method
  • matplotlib: same method
  • pip: we use get-pip.py. Then we add C:\Python27\Scripts to the PATH environment variable and… you have to restart your computer…
  • ipython: Open windows comand prompt and enter pip install ipython
  • opencv: we copy the cv2.pyd file to a folder presents in the PYTHONPATH.
  • PyQt4: using the .exe

Install pypot/poppy-humanoid using pip:

pip install pypot
pip install poppy-humanoid

Or using Git (for developers):

Install the USB2AX driver

  • You can follow this tutorial or this one. Be careful when downloading the .inf file as windows tends ton convert it to a .txt file breaking the end of line.

Download pypot for windows?
Projet Design & Ergo-robot
#2

Thank you Pierre!
This should really be pinned.


#3

i seem to be having a problem installing the poppy humanoid onto my computer (is a complete noob with python)


#4

Can you describe the problem please ?


#5

could just be me typing in the wrong thing but whenever i type pip install poppy_humanoid it comes back with “could not find a version that satisfies the requirement of poppy_humanoid
cleaning up”


#6

Hum, I forgot to upload the 1.0 release. Can you try again, it should be fixed now?


#7

thanks it works now :slight_smile:


#8

Hello, I already installed all the software and the driver USB2AX. I’'m using Windows 7. I’m following the pypot tutorial to control the motors in low level. This is the code I’m running:

import pypot.dynamixel

ports = pypot.dynamixel.get_available_ports()

if not ports:
    raise IOError('no port found!')

print 'ports found', ports

print 'connecting on the first available port:', ports[1]

dxl_io = pypot.dynamixel.DxlIO(ports[1]) 

found_ids = dxl_io.scan()

dxl_io.get_present_position((1, ))
dxl_io.set_goal_position({1: 120})

I can see the available ports and I try to connect with the port where I have the USB2AX. There is neither an error nor an answer for the scan motors instruction, or the get and setposition. Did anyone have this kind of problem?


#9

This post was flagged by the community and is temporarily hidden.